Package ru.bitel.bgbilling.kernel.contract.api.common.bean

# Class ContractPatternNamedNumber

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.contract.api.common.bean.ContractPatternNamedNumber

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class ContractPatternNamedNumber
    extends IdTitle

Именованный порядковый параметр шаблона имени договора.

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ContractPatternNamedNumber()` |
  `ContractPatternNamedNumber​(java.lang.String title, java.lang.String comment, int index, int countNumber)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getComment()` |
  `int` | `getCountNumber()` |
  `int` | `getIndex()` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setCountNumber​(int countNumber)` |
  `void` | `setIndex​(int index)` |

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ContractPatternNamedNumber

    public ContractPatternNamedNumber​(java.lang.String title, java.lang.String comment, int index, int countNumber)

  - ### ContractPatternNamedNumber

    public ContractPatternNamedNumber()

- ## Method Details

  - ### getIndex

    public int getIndex()

  - ### setIndex

    public void setIndex​(int index)

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### getCountNumber

    public int getCountNumber()

  - ### setCountNumber

    public void setCountNumber​(int countNumber)